Page MenuHomePhabricator

[OMPT] Fix tool initialization returning 0
ClosedPublic

Authored by protze.joachim on Jan 30 2018, 2:18 PM.

Details

Summary

If tool initialization returns 0, OMPT should not be active. The current implementation provided some callback invocations in this case.

Diff Detail

Repository
rL LLVM

Event Timeline

protze.joachim created this revision.Jan 30 2018, 2:18 PM
hbae added a comment.Jan 30 2018, 4:22 PM

LGTM.
Don't forget to do clang-formatting.

omalyshe accepted this revision.Jan 31 2018, 3:58 AM

LGTM.

This revision is now accepted and ready to land.Jan 31 2018, 3:58 AM
Closed by commit rL324320: [OMPT] Fix tool initialization returning 0 (authored by jprotze, committed by ). · Explain WhyFeb 6 2018, 12:43 AM
This revision was automatically updated to reflect the committed changes.